AFTOPL(L)

NAME
aftopl - convert an AFM file to a TeX PL file

SYNOPSIS
aftopl [ -eencoding ] afmfile [ plfile ]

DESCRIPTION
aftopl converts an AFM (Adobe Font Metric) file to a TeX PL (Property List) file. An extension of .afm can be omitted from afmfile. An extension of .pl can be omitted from plfile. If plfile is omitted, it will be derived from afmfile by replacing the extension of afmfile by .pl. The AFM and ENC files are searched by Kpathsearch library. The PL file can be converted to the TFM file needed by TeX by the pltotf utility.

OPTIONS

-eencoding
    Produce a PL file suitable for the font when reencoded using encoding. There should be a file called encoding.enc in the TDS directory. This should give the PostScript name of each element of the encoding vector. Use the name .notdef for empty elements of the vector.

FILES
$TEXMF/dvips//*.enc

SEE ALSO
tex(L), pltotf(L), dvips(L), PostScript Language Reference Manual.

BUGS

The same character must not occur more than once in the encoding vector.

There is no single `right' way to generate a PL file from an AFM file. aftopl tries to do something reasonable. If you don't like the results, you should feel free to edit the PL file.

If a composite character is included in the encoding vector, then all of its components must also be included; for example, if aacute occurs then so must a and acute. aftopl does not check this.

AUTHOR
James Clark <jjc@jclark.uucp>